curl --request GET \
--url https://api.byteful.com/1.0/public/user/proxy/search \
--header 'X-API-Private-Key: <api-key>' \
--header 'X-API-Public-Key: <api-key>'import requests
url = "https://api.byteful.com/1.0/public/user/proxy/search"
headers = {
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Private-Key': '<api-key>', 'X-API-Public-Key': '<api-key>'}
};
fetch('https://api.byteful.com/1.0/public/user/proxy/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"asn_id": 7018,
"asn_name": "AT&T Enterprises, LLC",
"city_example_postcode": "75202",
"city_id": 75202,
"city_latitude": 32.7767,
"city_longitude": -96.797,
"city_name": "Dallas",
"city_timezone": "America/Chicago",
"country_id": "us",
"country_name": "United States",
"customer_id": 1955,
"default_proxy_user_password": "apple1984",
"default_proxy_user_username": "stevejobs",
"ip_address_id_v4": "107.225.73.142",
"ip_address_id_v6": "2600:1000:b12a:6351:8523:997e:93c4:f124",
"proxy_http_port": 8080,
"proxy_id": "7a018d34-76c2-4c23-b14d-f7b9a7054e25",
"proxy_ip_address": "107.225.73.142",
"proxy_ip_address_v6": "2600:1000:b12a:6351:8523:997e:93c4:f124",
"proxy_last_update_datetime": "2024-03-12 09:30:00",
"proxy_protocol": "ipv4",
"proxy_socks5_port": 1080,
"proxy_status": "in_use",
"proxy_type": "isp",
"proxy_user_ids": [
"stevejobs"
],
"service_id": "API-1234-5678",
"service_line_item_id": "550e8400-e29b-41d4-a716-446655440000",
"subdivision_id": "us-tx",
"subdivision_name": "Texas",
"subnet_id": "107.225.72.0/22",
"subnet_id_v6": "2600:1000::/28"
}
],
"item_count": 1,
"message": "Proxy search successful.",
"page": 1,
"per_page": 10,
"total_count": 1
}Search Proxies
Search Proxies on the customer account using various filters.
Authorizations
Private API key for user-level authentication.
Public API key for user-level authentication.
Query Parameters
ID of the proxy
Service ID associated with the proxy
Main IP Address of the proxy
Main subnet of the proxy
Main subnet of the proxy
IPv4 address ID of the proxy
IPv6 address ID of the proxy
http port of the proxy
socks5 port of the proxy
Current status of the proxy
available, in_use, reserved, waiting, pending_deletion Type of the proxies you want returned in the search
isp, datacenter, residential, mobile Version of the proxies you want returned in the search
ipv4, ipv6, dual ISO Country Code (ISO 3166-1 alpha-2)
Name of the country the proxy is located in
ISO Country Code (ISO 3166-2)
Name of the subdivision the proxy is located in
ID of the city the proxy is located in
Name of the city the proxy is located in
Timezone of the City the proxy is located in
Example postcode of the City the proxy is located in
Latitude of the City the proxy is located in
Longitude of the City the proxy is located in
Unique identifier of the ASN of the proxy
Name associated with the ASN of the proxy
Flag whether the proxy is active, eg) would be false if the subnet is currently down
Datetime the proxy was last updated
Filter proxies by proxy user access. Only returns proxies that the specified proxy user has access to.
Number of items per page for pagination
Page number for pagination
Key for sorting or random.
Response
Successful Proxy search
Proxy search was successful.
Array of Proxy items matching the search criteria up to the limit of per_page paramater.
Show child attributes
Show child attributes
Total number of Proxy items returned in the data field.
Status message for the search.
Current page number of the search results returned.
Number of Proxy items returned per page.
Total of Proxy items that match the search filter.

